corpus_type (str): The type of corpus to filter by. Valid values: "document", "structured", "attachment". Default: "document"name (str): The name of the corpus to filter byowner (str): The email address(es) of the corpus owner(s) to filter by. Can pass comma separated values.indexing_mode (str): The indexing mode of the corpus to filter by. Valid values: "basic", "moderate", "exhaustive". Default: None. Can pass comma separated values.paginated (bool): Whether to paginate the responsepage (int): The page number to returnitems_per_page (int): The number of items per pageverbosity (str): The verbosity level of the responsesort_by (str): The field to order the results by. Default is "-modified_on". Possible values are "name", "indexing_mode", "created_on", "modified_on", "owner_email". Add "-" before the field name to order in descending order.query (str): The query to filter the results by. Search is done on name, owner email.curl --location --globoff 'https:///api/v2/corpora/?corpus_type=undefined&indexing_mode=undefined&items_per_page=undefined&name=undefined&owner=undefined&page=undefined&paginated=undefined&query=undefined&sort_by=undefined&verbosity=undefined' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"success": true,
"message": "string",
"data": {
"count": 0,
"num_pages": 0,
"current_page": 0,
"corpora": [
{
"id": 0,
"name": "string",
"description": "string",
"indexing_mode": {
"id": 0,
"mode": "exhaustive"
},
"owner": {
"id": 0,
"email": "[email protected]",
"is_superuser": true,
"first_name": "string",
"last_name": "string",
"organization": {
"id": 0,
"org_name": "string"
}
},
"tags": [
"string"
],
"refresh_schedule": {
"frequency": "string",
"month": "string",
"date": 0,
"time": "string",
"day": "string"
},
"refresh_type": "string",
"is_default": true,
"created_on": "2019-08-24T14:15:22.123Z",
"modified_on": "2019-08-24T14:15:22.123Z"
}
],
"items": [
{}
],
"meta": {
"count": 0,
"num_pages": 0,
"current_page": 0
}
}
}